For Developers
List Student Day Attendance
This model is part of the v2.5 API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/student_day_attendance
Retrieve a list of all Student Day Attendance.
Request Parameters
This query allows for filtering results.
This query allows for standard paging parameters.
| Parameter | Location | Type | Description |
|---|---|---|---|
$first | query | number | Returns the first n elements from the list. |
$last | query | number | Returns the last n elements from the list. |
$before | query | uuid | Returns the elements in the list that come before the specified item. |
$after | query | uuid | Returns the elements in the list that come after the specified item. |
It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.
Read More About Paging
Developer Guide
Click to Read
Sample Request
axios.get('https://ed.link/api/v2/graph/student_day_attendance', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"student_day_meeting_id": "00000000-0000-0000-0000-000000000001",
"person_id": "00000000-0000-0000-0000-000000000002",
"attendance_type_id": "00000000-0000-0000-0000-000000000003",
"attendance_status_id": "00000000-0000-0000-0000-000000000004",
"attendance_entry_method_id": "00000000-0000-0000-0000-000000000005",
"attendance_entry_source_id": "00000000-0000-0000-0000-000000000006",
"finalized": true,
"comment": "student was tardy to multiple classes today"
}
],
"$request": "00000000-0000-0000-0000-000000000000"
}